﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinTree;

namespace TestUltraTree
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void CreateStructure(int itemsCount)
        {
            panel1.Controls.Clear();

            UltraTree tree = new UltraTree();
            tree.BeginUpdate();
            tree.Size = new Size(400, 300);
            tree.ScrollBounds = ScrollBounds.ScrollToFill;
            
            UltraTreeNode nodeRoot = new UltraTreeNode("nodeRoot", "Root");
            for (int i = 1; i <= itemsCount; i++)
            {
                string name = string.Format("node{0}", i);
                UltraTreeNode node = new UltraTreeNode(name, name);
                if (i % 5 == 0)
                {
                    string childName = string.Format("childNode{0}", i);
                    UltraTreeNode childNode = new UltraTreeNode(childName, childName);
                    node.Nodes.Add(childNode);
                }
                nodeRoot.Nodes.Add(node);
            }
            tree.Nodes.Clear();
            tree.Nodes.Add(nodeRoot);
            nodeRoot.Expanded = true;

            tree.Size = panel1.Size;
            tree.EndUpdate(true);

            tree.Dock = DockStyle.Fill;
            panel1.Controls.Add(tree);
        }

        private void btnEven_Click(object sender, EventArgs e)
        {
            this.CreateStructure(22);
        }

        private void btnOdd_Click(object sender, EventArgs e)
        {
            this.CreateStructure(21);
        }
    }
}
